Package com.smartgwt.client.types

# Enum PreRenderImageMode

java.lang.Object
java.lang.Enum<PreRenderImageMode>
com.smartgwt.client.types.PreRenderImageMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PreRenderImageMode>`, `Constable`

public enum PreRenderImageMode extends Enum<PreRenderImageMode> implements ValueEnum
Controls how framework-generated icons (group expand/collapse, tree openers, folder icons, value icons, boolean checkboxes) are handled in the canvas `ListGrid.preRender` preview.

Icons in the HTML grid are rendered as `<img>` or CSS-styled `<span>` elements. The canvas preview approximates these using Canvas 2D drawing or reserves the correct amount of space.

Regardless of this setting, icon space is always reserved so that text positioning matches the final HTML grid layout.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  All detectable framework icons are cached via Image objects and drawn via `ctx.drawImage()`.
  `SPACE`
  Icon positions are detected and the correct horizontal space is reserved, but no images are drawn.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PreRenderImageMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PreRenderImageMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final PreRenderImageMode ALL
    All detectable framework icons are cached via Image objects and drawn via `ctx.drawImage()`. Icons with resolvable URLs (group openers, raster value icons) are rendered; sprite and CSS-class icons fall back to space reservation. First render for any given icon URL shows space only (async image loading); subsequent renders show the actual icon.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

  - ### SPACE

    public static final PreRenderImageMode SPACE
    Icon positions are detected and the correct horizontal space is reserved, but no images are drawn. Text is offset to match the HTML grid layout.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "space".

- ## Method Details

  - ### values

    public static PreRenderImageMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PreRenderImageMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`